precision mediump float; // Set the default precision to medium. We don't need as high of a
// precision in the fragment shader.
   // triangle per fragment.
uniform sampler2D u_Texture;    // The input texture.
uniform float r;    // The input texture.
uniform float g;    // The input texture.
uniform float b;    // The input texture.
uniform float time;    // The input texture.

varying vec2 v_TexCoordinate;   // This will be passed into the fragment shader.
varying vec3 v_Position;
varying vec3 mycolor2;          // This will be passed into the fragment shader.
  
// The entry point for our fragment shader.
void main()
{
// Pass through the color   
    
	
	vec4 color=vec4(r,g,b,sin(time)+0.05);
   	gl_FragColor = 2.0*color*texture2D(u_Texture, v_TexCoordinate);
}